package cn.superdesk.uniorder.service.marketing.department;

import cn.superdesk.uniorder.dao.entity.marketing.department.UnifiedAreaCity;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionAreaItem;
import cn.superdesk.uniorder.dto.vo.marketing.department.UnifiedAreaCityWithVirt;
import cn.superdesk.uniorder.dto.vo.marketing.department.UnifiedAreaTJ;
import cn.superdesk.uniorder.dto.vo.marketing.department.UnifiedAreaWeb;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

public interface UnifiedAreaCityService extends BaseService<UnifiedAreaCity> {

	void delItemTran(Long areaItemId);

	List<SelectOptionAreaItem> findAreaItemSelect(Map<String, Object> params);

	List<UnifiedAreaTJ> getareatj(Map<String, Object> params);

	UnifiedAreaCityWithVirt getAreaDetailByVirtId(Long virtId);

	List<UnifiedAreaWeb> getweb(Map<String, Object> params);


	void addObjTran(UnifiedAreaCity item);

	void updateObjTran(UnifiedAreaCity item);
}
